"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteEndpointInput_1 = require("../shapes/DeleteEndpointInput");
var DeleteEndpointOutput_1 = require("../shapes/DeleteEndpointOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteEndpoint = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteEndpoint",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteEndpointInput_1.DeleteEndpointInput
    },
    output: {
        shape: DeleteEndpointOutput_1.DeleteEndpointOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        }
    ]
};
//# sourceMappingURL=DeleteEndpoint.js.map