"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListEndpointsByPlatformApplicationInput_1 = require("../shapes/ListEndpointsByPlatformApplicationInput");
var ListEndpointsByPlatformApplicationOutput_1 = require("../shapes/ListEndpointsByPlatformApplicationOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListEndpointsByPlatformApplication = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListEndpointsByPlatformApplication",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListEndpointsByPlatformApplicationInput_1.ListEndpointsByPlatformApplicationInput
    },
    output: {
        shape: ListEndpointsByPlatformApplicationOutput_1.ListEndpointsByPlatformApplicationOutput,
        resultWrapper: "ListEndpointsByPlatformApplicationResult"
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        },
        {
            shape: NotFoundException_1.NotFoundException
        }
    ]
};
//# sourceMappingURL=ListEndpointsByPlatformApplication.js.map