"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListPlatformApplicationsInput_1 = require("../shapes/ListPlatformApplicationsInput");
var ListPlatformApplicationsOutput_1 = require("../shapes/ListPlatformApplicationsOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListPlatformApplications = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListPlatformApplications",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListPlatformApplicationsInput_1.ListPlatformApplicationsInput
    },
    output: {
        shape: ListPlatformApplicationsOutput_1.ListPlatformApplicationsOutput,
        resultWrapper: "ListPlatformApplicationsResult"
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        }
    ]
};
//# sourceMappingURL=ListPlatformApplications.js.map