"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _SubscriptionAttributesMap_1 = require("./_SubscriptionAttributesMap");
exports.SubscribeInput = {
    type: "structure",
    required: ["TopicArn", "Protocol"],
    members: {
        TopicArn: {
            shape: {
                type: "string"
            }
        },
        Protocol: {
            shape: {
                type: "string"
            }
        },
        Endpoint: {
            shape: {
                type: "string"
            }
        },
        Attributes: {
            shape: _SubscriptionAttributesMap_1._SubscriptionAttributesMap
        },
        ReturnSubscriptionArn: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=SubscribeInput.js.map