import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ConfirmSubscriptionInput } from "../types/ConfirmSubscriptionInput";
import { ConfirmSubscriptionOutput } from "../types/ConfirmSubscriptionOutput";
import { SNSResolvedConfiguration } from "../SNSConfiguration";
export * from "../types/ConfirmSubscriptionInput";
export * from "../types/ConfirmSubscriptionOutput";
export * from "../types/ConfirmSubscriptionExceptionsUnion";
export declare class ConfirmSubscriptionCommand implements __aws_sdk_types.Command<InputTypesUnion, ConfirmSubscriptionInput, OutputTypesUnion, ConfirmSubscriptionOutput, SNSResolvedConfiguration, Blob> {
    readonly input: ConfirmSubscriptionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ConfirmSubscriptionInput, ConfirmSubscriptionOutput, Blob>;
    constructor(input: ConfirmSubscriptionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SNSResolvedConfiguration): __aws_sdk_types.Handler<ConfirmSubscriptionInput, ConfirmSubscriptionOutput>;
}
