"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetEndpointAttributes_1 = require("../model/operations/GetEndpointAttributes");
var GetEndpointAttributesCommand = /** @class */ (function () {
    function GetEndpointAttributesCommand(input) {
        this.input = input;
        this.model = GetEndpointAttributes_1.GetEndpointAttributes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetEndpointAttributesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetEndpointAttributesCommand;
}());
exports.GetEndpointAttributesCommand = GetEndpointAttributesCommand;
//# sourceMappingURL=GetEndpointAttributesCommand.js.map