"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListEndpointsByPlatformApplication_1 = require("../model/operations/ListEndpointsByPlatformApplication");
var ListEndpointsByPlatformApplicationCommand = /** @class */ (function () {
    function ListEndpointsByPlatformApplicationCommand(input) {
        this.input = input;
        this.model = ListEndpointsByPlatformApplication_1.ListEndpointsByPlatformApplication;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListEndpointsByPlatformApplicationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListEndpointsByPlatformApplicationCommand;
}());
exports.ListEndpointsByPlatformApplicationCommand = ListEndpointsByPlatformApplicationCommand;
//# sourceMappingURL=ListEndpointsByPlatformApplicationCommand.js.map