"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetPlatformApplicationAttributesInput_1 = require("../shapes/GetPlatformApplicationAttributesInput");
var GetPlatformApplicationAttributesOutput_1 = require("../shapes/GetPlatformApplicationAttributesOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetPlatformApplicationAttributes = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetPlatformApplicationAttributes",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetPlatformApplicationAttributesInput_1.GetPlatformApplicationAttributesInput
    },
    output: {
        shape: GetPlatformApplicationAttributesOutput_1.GetPlatformApplicationAttributesOutput,
        resultWrapper: "GetPlatformApplicationAttributesResult"
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        },
        {
            shape: NotFoundException_1.NotFoundException
        }
    ]
};
//# sourceMappingURL=GetPlatformApplicationAttributes.js.map