import { AddPermissionOutput } from "./AddPermissionOutput";
import { CheckIfPhoneNumberIsOptedOutOutput } from "./CheckIfPhoneNumberIsOptedOutOutput";
import { ConfirmSubscriptionOutput } from "./ConfirmSubscriptionOutput";
import { CreatePlatformApplicationOutput } from "./CreatePlatformApplicationOutput";
import { CreatePlatformEndpointOutput } from "./CreatePlatformEndpointOutput";
import { CreateTopicOutput } from "./CreateTopicOutput";
import { DeleteEndpointOutput } from "./DeleteEndpointOutput";
import { DeletePlatformApplicationOutput } from "./DeletePlatformApplicationOutput";
import { DeleteTopicOutput } from "./DeleteTopicOutput";
import { GetEndpointAttributesOutput } from "./GetEndpointAttributesOutput";
import { GetPlatformApplicationAttributesOutput } from "./GetPlatformApplicationAttributesOutput";
import { GetSMSAttributesOutput } from "./GetSMSAttributesOutput";
import { GetSubscriptionAttributesOutput } from "./GetSubscriptionAttributesOutput";
import { GetTopicAttributesOutput } from "./GetTopicAttributesOutput";
import { ListEndpointsByPlatformApplicationOutput } from "./ListEndpointsByPlatformApplicationOutput";
import { ListPhoneNumbersOptedOutOutput } from "./ListPhoneNumbersOptedOutOutput";
import { ListPlatformApplicationsOutput } from "./ListPlatformApplicationsOutput";
import { ListSubscriptionsOutput } from "./ListSubscriptionsOutput";
import { ListSubscriptionsByTopicOutput } from "./ListSubscriptionsByTopicOutput";
import { ListTagsForResourceOutput } from "./ListTagsForResourceOutput";
import { ListTopicsOutput } from "./ListTopicsOutput";
import { OptInPhoneNumberOutput } from "./OptInPhoneNumberOutput";
import { PublishOutput } from "./PublishOutput";
import { RemovePermissionOutput } from "./RemovePermissionOutput";
import { SetEndpointAttributesOutput } from "./SetEndpointAttributesOutput";
import { SetPlatformApplicationAttributesOutput } from "./SetPlatformApplicationAttributesOutput";
import { SetSMSAttributesOutput } from "./SetSMSAttributesOutput";
import { SetSubscriptionAttributesOutput } from "./SetSubscriptionAttributesOutput";
import { SetTopicAttributesOutput } from "./SetTopicAttributesOutput";
import { SubscribeOutput } from "./SubscribeOutput";
import { TagResourceOutput } from "./TagResourceOutput";
import { UnsubscribeOutput } from "./UnsubscribeOutput";
import { UntagResourceOutput } from "./UntagResourceOutput";
export declare type OutputTypesUnion = AddPermissionOutput | CheckIfPhoneNumberIsOptedOutOutput | ConfirmSubscriptionOutput | CreatePlatformApplicationOutput | CreatePlatformEndpointOutput | CreateTopicOutput | DeleteEndpointOutput | DeletePlatformApplicationOutput | DeleteTopicOutput | GetEndpointAttributesOutput | GetPlatformApplicationAttributesOutput | GetSMSAttributesOutput | GetSubscriptionAttributesOutput | GetTopicAttributesOutput | ListEndpointsByPlatformApplicationOutput | ListPhoneNumbersOptedOutOutput | ListPlatformApplicationsOutput | ListSubscriptionsOutput | ListSubscriptionsByTopicOutput | ListTagsForResourceOutput | ListTopicsOutput | OptInPhoneNumberOutput | PublishOutput | RemovePermissionOutput | SetEndpointAttributesOutput | SetPlatformApplicationAttributesOutput | SetSMSAttributesOutput | SetSubscriptionAttributesOutput | SetTopicAttributesOutput | SubscribeOutput | TagResourceOutput | UnsubscribeOutput | UntagResourceOutput;
